function [CP_lin, CP_gin] = heatcapacity_inlet(FRAC_Gin, FRAC_Lin)
global CP MMASS Ncomp Tin
 
% Calculating component heat capacities at inlet temperature


CP_comp = ones(1,Ncomp);
for k = 1:Ncomp
        CP_comp(k) = (CP(k,1) + CP(k,2)*(Tin/1000) +...
            CP(k,3)*(Tin/1000)^2 + CP(k,4)*(Tin/1000)^3)/MMASS(k); 
end 


% Calculating heat capacities with updated mass fractions

CP_lin = CP_comp(3) .* FRAC_Lin(3) + CP_comp(5).* FRAC_Lin(5)+...
         CP_comp(6) .* FRAC_Lin(6);                

CP_gin = CP_comp(1) .* FRAC_Gin(1) + CP_comp(2) .* FRAC_Gin(2);
       
end