function Rx = reactionrate(rho_l, wCH4l, wO2l, wBIO)       
 
global MMASS YIELD  Nz Ncomp
 
% R_X = mu * C_X = mu * rho_l*w_BIO/MMASS(5) 
 
% R_i = Yield * MMASS * R_X 

% Kinetic Parameters
    mu_max = (0.37/3600);              % [1/s]
    Ks     = 1.3e-3*MMASS(1)/rho_l;    % [kg_CH4/kg_tot] Trinidad (Villadsen)  
    Ks_O2  = 6.4e-5/rho_l;             % [kg_O2/kg_tot] Villadsen


% Specific growth rate -- methane limiting substrate 
    mu = zeros(Nz, 1);
    for i = 1:Nz
        mu(i) = mu_max * (wCH4l(i)/(Ks + wCH4l(i))) * (wO2l(i)/(Ks_O2 + wO2l(i)));
    end
    
%     mu = zeros(Nz, 1);
%     for i = 1:Nz
%         mu(i) = mu_max * ((rho_l*wCH4l(i)/MMASS(1)) / (Ks + rho_l*wCH4l(i)/MMASS(1))) *  (rho_l*wO2l(i)/MMASS(2)/(Ks_O2 + rho_l*wO2l(i)/MMASS(2)));
%     end

    R_bio = zeros(Nz, 1); 
    for i = 1:Nz
        R_bio(i) = mu(i) * rho_l * wBIO(i)/MMASS(5); % mol_bio/(m^3*s)
    end
 
    Rx = zeros(Nz, Ncomp);
    for i = 1:Nz
        for k = 1:Ncomp
            Rx(i,k) = YIELD(k)*MMASS(k)*R_bio(i); %kg_k/(m^3*s)
        end
    end   
end